Summary:       Feed random data from hardware device to kernel
Name:          rng-tools
Version:       2
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://dl.sourceforge.net/sourceforge/gkernel/%{name}-%{version}.tar.gz
URL:           http://sourceforge.net/projects/gkernel/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jeff Garzik <jgarzik@pobox.com>


%description
This daemon feeds data from a random number generator to the kernel's
random number entropy pool, after checking the data to ensure that it
is properly random.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}

pushd contrib
%{__cc} -o randstat randstat.c
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 contrib/randstat ${RPM_BUILD_ROOT}%{_bindir}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/randstat
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*


%changelog
* Fri Jul 11 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2-1
- Initial build
